GWT 2.7.0

## com.google.gwt.util.tools
Class ArgHandlerOutDir

    java.lang.Object
      com.google.gwt.util.tools.ArgHandler
          com.google.gwt.util.tools.ArgHandlerDir
              com.google.gwt.util.tools.ArgHandlerOutDir

    public abstract class ArgHandlerOutDir

extends ArgHandlerDir

Arugment handler for processing the output directory flag.

Constructor Summary
`ArgHandlerOutDir()`

Method Summary
`java.lang.String[]` | `getDefaultArgs()`
`java.lang.String` | `getPurpose()`
`java.lang.String` | `getTag()`

Methods inherited from class com.google.gwt.util.tools.ArgHandlerDir
`getTagArgs, handle, setDir`

Methods inherited from class com.google.gwt.util.tools.ArgHandler
`getHelpTag, getTags, isExperimental, isRequired, isUndocumented`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgHandlerOutDir

    public ArgHandlerOutDir()

Method Detail

### getDefaultArgs

    public java.lang.String[] getDefaultArgs()

  Overrides:
    `getDefaultArgs` in class `ArgHandler`

### getPurpose

    public java.lang.String getPurpose()

  Specified by:
    `getPurpose` in class `ArgHandler`

### getTag

    public java.lang.String getTag()

  Specified by:
    `getTag` in class `ArgHandler`

GWT 2.7.0